Subject: Re: [EXT] Re: [Patch v4 1/3] dt-bindings: spi: spi-fsl-qspi: Add ls2080a compatibility string to bindings

From: Mark Brown <[email-masked]>
Date: Thu, 22 Aug 2019 20:05:07 +0100

On Wed, Aug 21, 2019 at 02:18:43PM +0000, Ashish Kumar wrote:

Please fix your mail client to word wrap within paragraphs at something
substantially less than 80 columns.  Doing this makes your messages much
easier to read and reply to.

> Snippet from driver spi-fsl-qspi.c
> static const struct of_device_id fsl_qspi_dt_ids[] = {
>         { .compatible = "fsl,vf610-qspi", .data = &vybrid_data, },
>         { .compatible = "fsl,imx6sx-qspi", .data = &imx6sx_data, },
>         { .compatible = "fsl,imx7d-qspi", .data = &imx7d_data, },
>         { .compatible = "fsl,imx6ul-qspi", .data = &imx6ul_data, },
>         { .compatible = "fsl,ls1021a-qspi", .data = &ls1021a_data, },
>         { .compatible = "fsl,ls2080a-qspi", .data = &ls2080a_data, },
>         { /* sentinel */ }
> };

> I had previously sent dts patch based out of Shawn's tree with
> dependency on these dt binding patch. To which Shawn had
> replied to get dependency patch accepted first before sending
> this dts change.

Right, there appears to be an entry for patch 1 which was added
without the binding doc being updated - patch 2 looks to not have
the compatibles in the driver though?